Foros del Web » Soporte técnico » Ayuda General »

Instalar en local una versión concreta de php(5.2.17)

Estas en el tema de Instalar en local una versión concreta de php(5.2.17) en el foro de Ayuda General en Foros del Web. Hola :) Necesito probar en local una web con php 5.2.17. Normalmente uso appserv. He buscado versiones con este php y no he encontrado nada, ...
  #1 (permalink)  
Antiguo 11/01/2012, 14:47
 
Fecha de Ingreso: noviembre-2007
Mensajes: 382
Antigüedad: 14 años, 8 meses
Puntos: 16
Instalar en local una versión concreta de php(5.2.17)

Hola :)

Necesito probar en local una web con php 5.2.17.
Normalmente uso appserv.
He buscado versiones con este php y no he encontrado nada, también lo he intentado con xampp y easyphp (no conozco más instalables de este tipo) pero no lo encontré.
he intentado instalarlo desde 0, cambiar la version de php del appserv e intalar el appserv sin php e intentar instalarlo, con ejecutable, sin ejecutable,....
a veces me lee el php como texto, a veces el navegador no reconoce el servidor local y alguna funcionaba todo menos el MySql.
el tutorial al que me más vueltas he dado ha sido este http://mundogeek.net/archivos/2005/1...r-php-y-mysql/ cambiando C:/ y C:\ porque en otro tutorial leí que el sentido de barras era diferente según el SO

He leido otro tutorial en el que hablaban de copiar a saco todas las .dll del php en la carpeta windows(tampoco me ha hecho nada)


Como ya he dicho no conozco otro instalador que no sea appserv, xampp o easyphp y hacerlo a mano lo tengo casi descartado del todo porque no soy capaz.

¿Sabríais darme alguna alternativa?
Muchas gracias
  #2 (permalink)  
Antiguo 12/01/2012, 04:03
Avatar de emprear
Colaborador
 
Fecha de Ingreso: junio-2007
Ubicación: me mudé
Mensajes: 8.388
Antigüedad: 15 años, 1 mes
Puntos: 1567
Respuesta: Instalar en local una versión concreta de php(5.2.17)

Si no estoy equivocado la que necesitas es la
http://sourceforge.net/projects/xamp...indows/1.6.0a/

Si no tendrías que revisarlas 1 x 1 (por lo menos las 1.6.x)
Y si anduviste copiando dlls.... borralas

Yo siempre recomiendo bajar el .zip y no el instalador, y si es posible instalarlo en una unidad distinta de C:
ejemplo

D:/Xampp


Saludos
__________________
La voz de las antenas va, sustituyendo a Dios.
Cuando finalice la mutación, nueva edad media habrá
S.R.
  #3 (permalink)  
Antiguo 12/01/2012, 06:34
 
Fecha de Ingreso: noviembre-2007
Mensajes: 382
Antigüedad: 14 años, 8 meses
Puntos: 16
Respuesta: Instalar en local una versión concreta de php(5.2.17)

hola :)

en el enlace que me has puesto pone en las especificaciones de los zip PHP 5.2.1 + PHP 4.4.5
entiendo que esto me iría bien sabiendo hacer un cambio de versión, pero cuando lo intento o me cargo el apache o no me carga el php.

Esta mañana he visto, que cuando reinicio el apache me salta "you need to recompile PHP" y buscando como se recompila el php, algo he encontrado, pero no he entendido nada :/

Voy a seguir buscando, a ver si me suena la flauta

gracias por contestar
  #4 (permalink)  
Antiguo 12/01/2012, 06:54
Avatar de emprear
Colaborador
 
Fecha de Ingreso: junio-2007
Ubicación: me mudé
Mensajes: 8.388
Antigüedad: 15 años, 1 mes
Puntos: 1567
Respuesta: Instalar en local una versión concreta de php(5.2.17)

Recompilar el Apache en Windows? Nunca escuche que las Versiones para Windows de apache (vos bajas el binario, no el src) muestren dicho error.

Mirá encontré esto
http://cetannagin.com/xampp/
hacele un phpinfo()

También encontré esta

http://www.anyhelpinternational.com/xampp/

que usa la 5.2.17
Podés bajarla desde donde te indiqué.
Y acordáte lo que te dije de las dlls, si mezclas versiones, hay problemas y errores (quizás eso de la compilación)

Saludos
__________________
La voz de las antenas va, sustituyendo a Dios.
Cuando finalice la mutación, nueva edad media habrá
S.R.
  #5 (permalink)  
Antiguo 23/01/2012, 09:43
 
Fecha de Ingreso: noviembre-2007
Mensajes: 382
Antigüedad: 14 años, 8 meses
Puntos: 16
Respuesta: Instalar en local una versión concreta de php(5.2.17)

No te dije nada porque me estuve peleando con el tema a ver si encontraba la versión.
Con lo que acabé dando, fué con más gente en la misma situación.

No sé por qué motivo, los xaamp que tenían 5.2.17 los cambiaron a otras.
Al final como se supone que esta versión no tiene cambios relevantes con respecto a la que venía usando, me quedo como estoy :S

Muchas gracias por tu tiempo :)
  #6 (permalink)  
Antiguo 27/01/2012, 13:08
 
Fecha de Ingreso: enero-2012
Ubicación: en Ecatepec
Mensajes: 102
Antigüedad: 10 años, 7 meses
Puntos: 3
Respuesta: Instalar en local una versión concreta de php(5.2.17)

no entiendo porque a fuerzas esa version yo trabajo con una version mas antigua del xammp y toda tecnologia nueva funciona perfectamente localmente y en mi servidor web


mi motor de busqueda no es google , sino la necesidad de experimentar el Amor de Dios
  #7 (permalink)  
Antiguo 27/01/2012, 13:17
Avatar de emprear
Colaborador
 
Fecha de Ingreso: junio-2007
Ubicación: me mudé
Mensajes: 8.388
Antigüedad: 15 años, 1 mes
Puntos: 1567
Respuesta: Instalar en local una versión concreta de php(5.2.17)

Cita:
Iniciado por somosmente Ver Mensaje
no entiendo porque a fuerzas esa version yo trabajo con una version mas antigua del xammp y toda tecnologia nueva funciona perfectamente localmente y en mi servidor web


mi motor de busqueda no es google , sino la necesidad de experimentar el Amor de Dios
Muchas veces se da el caso de que desarrollamos en local para posteriormente subir a nuestro hosting en internet. Dado las diferencias entre las versiones de php, si nuestro hosting corre la 5.2.x, no es aconsejable que en local usemos la 5.3.
es una posibilidad muy concreta. A no ser por supuesto que conozcamos perfectamente que cambios hay de una version a otra y evitemos usar funciones que en local nos vana trabajar bien pero una vez subidas, no.
__________________
La voz de las antenas va, sustituyendo a Dios.
Cuando finalice la mutación, nueva edad media habrá
S.R.

Etiquetas: local, versiones
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 06:28.